#include<iostream>
#include<conio.h>
using namespace std;
class MaghsumNoClass
{
	private :
		int Count;
	public :
		int x;
		MaghsumNoClass() //constructor
		{
			Count = 0;
		}
		int IsMaghsum(int num)
		{
			if(x % num == 0)
				return 1;
			else
				return 0;
		}
		void SetCount(int num)
		{
			Count = num;
		}
		int GetCount()
		{
			return Count;
		}
};

int main()
{
	MaghsumNoClass A;
	int i;
	cout << "Yek Adad Vared konid : ";
	cin >> A.x;
	for(i = 1; i <= A.x; i++)
		if(A.IsMaghsum(i) == 1)
			A.SetCount(A.GetCount() + 1);
	if(A.GetCount() == 2)
		cout << "OK, adade vorodi avval ast" << endl;
	else
		cout << "NO, adade vorodi avval nist" << endl;
	getch();
}

